#include <kapp.h>
#include <kwm.h>
#include "mem.moc"
#include <X11/Xlib.h>

#include <qtooltip.h>

//
// Create and display our Memory Monitor.
//
// This code is based on Kcpumon
//

KApplication* app;

int main( int argc, char **argv )
{
    app = new KApplication( argc, argv, "kmemmon" );

    MemMon* m_pMon = new MemMon(0, 0, WStyle_NormalBorder);
    //    QToolTip::add(m_pMon, "ToolTip Text");

    // Since we are intend to be swallowed by kpanel
    // Make sure that we do not grab mouse clicks
    //    XSelectInput(qt_xdisplay(), m_pMon->winId(), EnterWindowMask | LeaveWindowMask);

    app->setMainWidget(m_pMon );

    KWM::setDockWindow(m_pMon->winId());

    m_pMon->show();

    return app->exec();
}

