/*
 * 07/24/1998 : first public release, version 0.1 by Antoine Laydier
 *
 */

#ifndef _MEMMON_H_
#define _MEMMON_H_

#include <qbrush.h>

class MemMon : public QWidget
{
  Q_OBJECT;
public:
  MemMon (QWidget *parent = 0, const char *name = 0, WFlags f=0);
  ~MemMon ();
  void updateValues();

protected:
  virtual void timerEvent(QTimerEvent *);
  virtual void paintEvent(QPaintEvent *);

  int tid;
  unsigned timer_interval;

  unsigned long totalMem;
  unsigned long freeMem;
  unsigned long bufferMem;
  unsigned long cachedMem;

  unsigned long swapMem;
  unsigned long freeSwapMem;

  QBrush blackBrush, usedBrush, cachedBrush, bufferBrush, swapBrush;
};

#endif
