#include <unistd.h>
#include <string.h>
#include <fcntl.h>
#include <stdlib.h> 

#include <stdio.h>
#define MAX_SWAPFILES 8

static int __fd = -1;
static char __buffer[1024];

static int getentry(const char * tag, const char *bufptr) {
  char * tail;
  int retval, len = strlen(tag);
  
  while(bufptr) {
    if(*bufptr =='\n') bufptr++;
    if(!strncmp(tag, bufptr, len)) {
      retval = strtol(bufptr +len, &tail, 10);
      if(tail == bufptr + len) {
      }
      else {
	return retval;
      }
    }
    bufptr = strchr(bufptr, '\n');
  }
  return 0;
}

void MemMon::updateValues()
{
  unsigned long shared;

  if(__fd == -1) {
    __fd = open("/proc/meminfo",O_RDONLY);
  }
  else {
    lseek(__fd, 0L, 0);
    read(__fd, __buffer, sizeof(__buffer)-1);
  }

  totalMem    = getentry("MemTotal:", __buffer);
  freeMem     = getentry("MemFree:", __buffer);
  shared      = getentry("MemShared:", __buffer);
  bufferMem   = getentry("Buffers:", __buffer);
  cachedMem   = getentry("Cached:", __buffer);
  swapMem     = getentry("SwapTotal:", __buffer);
  freeSwapMem = getentry("SwapFree:", __buffer);
}
